Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.javatest.interview
Class ExcludeListInterview

    java.lang.Object
      com.sun.interview.Interview
          com.sun.javatest.interview.ExcludeListInterview

All Implemented Interfaces:
  Parameters.ExcludeListParameters, Parameters.MutableExcludeListParameters

    public class ExcludeListInterview

extends Interview
implements Parameters.MutableExcludeListParameters

This interview collects the "exclude list" test filter parameters. It is normally used as one of a series of sub-interviews that collect the parameter information for a test run.

Nested Class Summary

Nested classes/interfaces inherited from class com.sun.interview.Interview
`Interview.BadHelpFault, Interview.Fault, Interview.HelpNotFoundFault, Interview.NotOnPathFault, Interview.Observer`

Field Summary

Fields inherited from class com.sun.interview.Interview
`CHECKSUM, EXPORT_IGNORE_ALL_EXCEPTIONS, EXPORT_IGNORE_NO_EXCEPTIONS, EXPORT_IGNORE_RUNTIME_EXCEPTIONS, EXTERNAL_PREF, INTERVIEW, LOCALE, MARKERS, MARKERS_PREF, QUESTION, SEMANTIC_MAX_VERSION, SEMANTIC_PRE_32, SEMANTIC_VERSION_32, SEMANTIC_VERSION_43, TEMPLATE_PREF`

Fields inherited from interface com.sun.javatest.Parameters.MutableExcludeListParameters
`CHECK_EVERY_RUN, CHECK_EVERY_X_DAYS, CUSTOM_EXCLUDE_LIST, INITIAL_EXCLUDE_LIST, LATEST_EXCLUDE_LIST, NO_EXCLUDE_LIST`

Constructor Summary
`ExcludeListInterview(InterviewParameters parent)` Create an interview.

Method Summary
`java.io.File[]` | `getCustomExcludeFiles()` Get the files used to define the exclude list when the exclude list mode is set to CUSTOM_EXCLUDE_LIST.
`java.io.File[]` | `getExcludeFiles()` Get the set of files which define the exclude list.
`TestFilter` | `getExcludeFilter()` Get a test filter generated from the exclude list files in the interview.
`ExcludeList` | `getExcludeList()` Get the exclude list generated from the exclude list files in the interview.
`int` | `getExcludeMode()` Get the current exclude list mode.
`int` | `getLatestExcludeAutoCheckInterval()` Get the interval, in days, to be used when automatically checking for exclude list updates and the auto check mode is set to CHECK_EVERY_X_DAYS.
`int` | `getLatestExcludeAutoCheckMode()` Get the mode which defines how often to automatically check for updated exclude lists, when the exclude list mode is set to LATEST_EXCLUDE_LIST, and the automatic check is enabled.
`boolean` | `isLatestExcludeAutoCheckEnabled()` Check if the automatic check for newer exclude lists is enabled when the exclude list mode is set to LATEST_EXCLUDE_LIST.
`void` | `setCustomExcludeFiles(java.io.File[] files)` Set the files used to define the exclude list when the exclude list mode is set to CUSTOM_EXCLUDE_LIST.
`void` | `setExcludeFiles(java.io.File[] files)` Set the set of files used to define the exclude list.
`void` | `setExcludeMode(int mode)` Set the current exclude list mode.
`void` | `setLatestExcludeAutoCheckEnabled(boolean b)` Specify if the automatic check for newer exclude lists is enabled when the exclude list mode is set to LATEST_EXCLUDE_LIST.
`void` | `setLatestExcludeAutoCheckInterval(int days)` Set the interval, in days, to be used when automatically checking for exclude list updates and the auto check mode is set to CHECK_EVERY_X_DAYS.
`void` | `setLatestExcludeAutoCheckMode(int mode)` Set the mode which defines how often to automatically check for updated exclude lists, when the exclude list mode is set to LATEST_EXCLUDE_LIST, and the automatic check is enabled.

Methods inherited from class com.sun.interview.Interview
`addObserver, callInterview, clear, clearMarkedResponses, containsObserver, createChecklist, createChecklistItem, createChecklistItem, createChecklistItem, export, getAllQuestions, getCurrentQuestion, getDefaultImage, getExportIgnoreExceptionPolicy, getExternalProperties, getFirstQuestion, getHelpSet, getInterview, getInterviewSemantics, getParent, getPath, getPathToCurrent, getPropertyKeys, getQuestions, getRawPath, getResourceBundle, getResourceString, getResourceString, getRoot, getTag, getTitle, hasNext, hasValidNext, isChecklistEmpty, isChecksumValid, isEdited, isFinishable, isFirst, isInterviewFinishable, isLast, isRoot, isStarted, iteratePath, iteratePathToCurrent, last, load, load, next, pathContains, pathContains, prev, propagateTemplateForAll, readLocale, removeAllMarkers, removeMarkers, removeObserver, reset, retrieveProperty, retrieveTemplateKeys, retrieveTemplateProperty, save, setBaseTag, setCurrentQuestion, setDefaultImage, setEdited, setExportIgnoreExceptionPolicy, setFirstQuestion, setHelpSet, setHelpSet, setHelpSet, setInterviewSemantics, setResourceBundle, setResourceBundle, setTitle, storeProperty, storeTemplateProperties, storeTemplateProperty, updatePath, updatePath, verifyPathContains, writeLocale`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ExcludeListInterview

    public ExcludeListInterview(InterviewParameters parent)
                         throws Interview.Fault

  Create an interview.

  Parameters:
    `parent` - The parent interview of which this is a child.
  Throws:
    `Interview.Fault` - if there is a problem while creating the interview.

Method Detail

### getExcludeFiles

    public java.io.File[] getExcludeFiles()

  Description copied from interface: `Parameters.MutableExcludeListParameters`
  Get the set of files which define the exclude list. The files are all returned as absolute files.

  Specified by:
    `getExcludeFiles` in interface `Parameters.MutableExcludeListParameters`
  Returns:
    the set of files which define the exclude list
  See Also:
    `Parameters.MutableExcludeListParameters.getExcludeFiles()`, `Parameters.MutableExcludeListParameters.setExcludeFiles(java.io.File[])`

### setExcludeFiles

    public void setExcludeFiles(java.io.File[] files)

  Description copied from interface: `Parameters.MutableExcludeListParameters`
  Set the set of files used to define the exclude list.

  Specified by:
    `setExcludeFiles` in interface `Parameters.MutableExcludeListParameters`
  Parameters:
    `files` - If null, the exclude mode will be set to NO_EXCLUDE_LIST; if not null, the exclude mode will be set to CUSTOM_EXCLUDE_LIST and the custom exclude files will be set to this value
  See Also:
    `Parameters.MutableExcludeListParameters.getExcludeFiles()`

### getExcludeMode

    public int getExcludeMode()

  Description copied from interface: `Parameters.MutableExcludeListParameters`
  Get the current exclude list mode.

  Specified by:
    `getExcludeMode` in interface `Parameters.MutableExcludeListParameters`
  Returns:
    A value indicating the current exclude list mode
  See Also:
    `Parameters.MutableExcludeListParameters.setExcludeMode(int)`, `Parameters.MutableExcludeListParameters.NO_EXCLUDE_LIST`, `Parameters.MutableExcludeListParameters.INITIAL_EXCLUDE_LIST`, `Parameters.MutableExcludeListParameters.LATEST_EXCLUDE_LIST`, `Parameters.MutableExcludeListParameters.CUSTOM_EXCLUDE_LIST`

### setExcludeMode

    public void setExcludeMode(int mode)

  Description copied from interface: `Parameters.MutableExcludeListParameters`
  Set the current exclude list mode.

  Specified by:
    `setExcludeMode` in interface `Parameters.MutableExcludeListParameters`
  Parameters:
    `mode` - A value indicating the desired exclude list mode
  See Also:
    `Parameters.MutableExcludeListParameters.getExcludeMode()`, `Parameters.MutableExcludeListParameters.NO_EXCLUDE_LIST`, `Parameters.MutableExcludeListParameters.INITIAL_EXCLUDE_LIST`, `Parameters.MutableExcludeListParameters.LATEST_EXCLUDE_LIST`, `Parameters.MutableExcludeListParameters.CUSTOM_EXCLUDE_LIST`

### getCustomExcludeFiles

    public java.io.File[] getCustomExcludeFiles()

  Description copied from interface: `Parameters.MutableExcludeListParameters`
  Get the files used to define the exclude list when the exclude list mode is set to CUSTOM_EXCLUDE_LIST.

  Specified by:
    `getCustomExcludeFiles` in interface `Parameters.MutableExcludeListParameters`
  Returns:
    the files used to define a custom exclude list
  See Also:
    `Parameters.MutableExcludeListParameters.setCustomExcludeFiles(java.io.File[])`

### setCustomExcludeFiles

    public void setCustomExcludeFiles(java.io.File[] files)

  Description copied from interface: `Parameters.MutableExcludeListParameters`
  Set the files used to define the exclude list when the exclude list mode is set to CUSTOM_EXCLUDE_LIST.

  Specified by:
    `setCustomExcludeFiles` in interface `Parameters.MutableExcludeListParameters`
  Parameters:
    `files` - the files used to define a custom exclude list
  See Also:
    `Parameters.MutableExcludeListParameters.getCustomExcludeFiles()`

### isLatestExcludeAutoCheckEnabled

    public boolean isLatestExcludeAutoCheckEnabled()

  Description copied from interface: `Parameters.MutableExcludeListParameters`
  Check if the automatic check for newer exclude lists is enabled when the exclude list mode is set to LATEST_EXCLUDE_LIST.

  Specified by:
    `isLatestExcludeAutoCheckEnabled` in interface `Parameters.MutableExcludeListParameters`
  Returns:
    true if the automatic check is enabled
  See Also:
    `Parameters.MutableExcludeListParameters.setLatestExcludeAutoCheckEnabled(boolean)`

### setLatestExcludeAutoCheckEnabled

    public void setLatestExcludeAutoCheckEnabled(boolean b)

  Description copied from interface: `Parameters.MutableExcludeListParameters`
  Specify if the automatic check for newer exclude lists is enabled when the exclude list mode is set to LATEST_EXCLUDE_LIST.

  Specified by:
    `setLatestExcludeAutoCheckEnabled` in interface `Parameters.MutableExcludeListParameters`
  Parameters:
    `b` - whether or not the automatic check is enabled
  See Also:
    `Parameters.MutableExcludeListParameters.isLatestExcludeAutoCheckEnabled()`

### getLatestExcludeAutoCheckMode

    public int getLatestExcludeAutoCheckMode()

  Description copied from interface: `Parameters.MutableExcludeListParameters`
  Get the mode which defines how often to automatically check for updated exclude lists, when the exclude list mode is set to LATEST_EXCLUDE_LIST, and the automatic check is enabled.

  Specified by:
    `getLatestExcludeAutoCheckMode` in interface `Parameters.MutableExcludeListParameters`
  Returns:
    a value indicating how often to check for the availability of a newer exclude list
  See Also:
    `Parameters.MutableExcludeListParameters.setLatestExcludeAutoCheckMode(int)`, `Parameters.MutableExcludeListParameters.CHECK_EVERY_X_DAYS`, `Parameters.MutableExcludeListParameters.CHECK_EVERY_RUN`

### setLatestExcludeAutoCheckMode

    public void setLatestExcludeAutoCheckMode(int mode)

  Description copied from interface: `Parameters.MutableExcludeListParameters`
  Set the mode which defines how often to automatically check for updated exclude lists, when the exclude list mode is set to LATEST_EXCLUDE_LIST, and the automatic check is enabled.

  Specified by:
    `setLatestExcludeAutoCheckMode` in interface `Parameters.MutableExcludeListParameters`
  Parameters:
    `mode` - a value indicating how often to check for the availability of a newer exclude list
  See Also:
    `Parameters.MutableExcludeListParameters.getLatestExcludeAutoCheckMode()`, `Parameters.MutableExcludeListParameters.CHECK_EVERY_X_DAYS`, `Parameters.MutableExcludeListParameters.CHECK_EVERY_RUN`

### getLatestExcludeAutoCheckInterval

    public int getLatestExcludeAutoCheckInterval()

  Description copied from interface: `Parameters.MutableExcludeListParameters`
  Get the interval, in days, to be used when automatically checking for exclude list updates and the auto check mode is set to CHECK_EVERY_X_DAYS.

  Specified by:
    `getLatestExcludeAutoCheckInterval` in interface `Parameters.MutableExcludeListParameters`
  Returns:
    the interval, in days, between checks
  See Also:
    `Parameters.MutableExcludeListParameters.setLatestExcludeAutoCheckInterval(int)`

### setLatestExcludeAutoCheckInterval

    public void setLatestExcludeAutoCheckInterval(int days)

  Description copied from interface: `Parameters.MutableExcludeListParameters`
  Set the interval, in days, to be used when automatically checking for exclude list updates and the auto check mode is set to CHECK_EVERY_X_DAYS.

  Specified by:
    `setLatestExcludeAutoCheckInterval` in interface `Parameters.MutableExcludeListParameters`
  Parameters:
    `days` - the number of days to wait between checks
  See Also:
    `Parameters.MutableExcludeListParameters.getLatestExcludeAutoCheckInterval()`

### getExcludeList

    public ExcludeList getExcludeList()

  Get the exclude list generated from the exclude list files in the interview.

  Specified by:
    `getExcludeList` in interface `Parameters.ExcludeListParameters`
  Returns:
    the exclude list generated from the exclude list files in the interview
  See Also:
    `getExcludeFiles()`

### getExcludeFilter

    public TestFilter getExcludeFilter()

  Get a test filter generated from the exclude list files in the interview.

  Returns:
    a test filter generated from the exclude list files in the interview or null, if no filter is required
  See Also:
    `getExcludeFiles()`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright (c) 1996, 2010, Oracle and/or its affiliates. All rights reserved.